Subject: Re: bug#60195: 27.1; dired failed to delete file with multi-line name

From: Eli Zaretskii <[email-masked]>
Date: Mon, 19 Dec 2022 14:42:03 +0200

> Date: Sun, 18 Dec 2022 23:42:56 -0500
> From: David Lambert <[email-masked]>
> 
> I had a file named
> ' 0 -1 -2 -3'$'\n'' -4 -5 -6 -7'$'\n'' -8 -9 -10 -11'$'\n\n''-12 -13 -14 
> -15'$'\n''-16 -17 -18 -19'$'\n''-20 -21 -22 -23'$'\n'
> 
> attempting to delete it with the usual d x yes instructions, emacs did
> not remove the file.

This is a known limitation.  The workaround, per the Emacs manual and
the doc string of dired-listing-switches, is:

     Dired does not handle files that have names with embedded newline
  characters well.  If you have many such files, you may consider adding
  ‘-b’ to ‘dired-listing-switches’.  This will quote all special
  characters and allow Dired to handle them better.  (You can also use the
  ‘C-u C-x d’ command to add ‘-b’ temporarily.)

Unfortunately, we cannot add -b to the switches by default because it
is problematic with other nonprintable characters that Dired handles
well without -b.